<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>CloseFrameBuilder</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CloseFrameBuilder";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CloseFrameBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/CloseFrameBuilder.html" target="_top">Frames</a></li>
<li><a href="CloseFrameBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.framing</div>
<h2 title="Class CloseFrameBuilder" class="title">Class CloseFrameBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">org.java_websocket.framing.FramedataImpl1</a></li>
<li>
<ul class="inheritance">
<li>org.java_websocket.framing.CloseFrameBuilder</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a>, <a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a>, <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">CloseFrameBuilder</span>
extends <a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a>
implements <a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#code">code</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#emptybytebuffer">emptybytebuffer</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#reason">reason</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.java_websocket.framing.FramedataImpl1">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></h3>
<code><a href="../../../org/java_websocket/framing/FramedataImpl1.html#emptyarray">emptyarray</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#fin">fin</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#optcode">optcode</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#transferemasked">transferemasked</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.java_websocket.framing.CloseFrame">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a></h3>
<code><a href="../../../org/java_websocket/framing/CloseFrame.html#ABNORMAL_CLOSE">ABNORMAL_CLOSE</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#BUGGYCLOSE">BUGGYCLOSE</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#EXTENSION">EXTENSION</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#FLASHPOLICY">FLASHPOLICY</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#GOING_AWAY">GOING_AWAY</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#NEVER_CONNECTED">NEVER_CONNECTED</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#NO_UTF8">NO_UTF8</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#NOCODE">NOCODE</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#NORMAL">NORMAL</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#POLICY_VALIDATION">POLICY_VALIDATION</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#PROTOCOL_ERROR">PROTOCOL_ERROR</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#REFUSE">REFUSE</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#TLS_ERROR">TLS_ERROR</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#TOOBIG">TOOBIG</a>, <a href="../../../org/java_websocket/framing/CloseFrame.html#UNEXPECTED_CONDITION">UNEXPECTED_CONDITION</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#CloseFrameBuilder()">CloseFrameBuilder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#CloseFrameBuilder(int)">CloseFrameBuilder</a></strong>(int&nbsp;code)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#CloseFrameBuilder(int,%20java.lang.String)">CloseFrameBuilder</a></strong>(int&nbsp;code,
                 java.lang.String&nbsp;m)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#getCloseCode()">getCloseCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#getMessage()">getMessage</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#getPayloadData()">getPayloadData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#initCloseCode()">initCloseCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#initMessage()">initMessage</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#setCodeAndMessage(int,%20java.lang.String)">setCodeAndMessage</a></strong>(int&nbsp;code,
                 java.lang.String&nbsp;m)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#setPayload(java.nio.ByteBuffer)">setPayload</a></strong>(java.nio.ByteBuffer&nbsp;payload)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.framing.FramedataImpl1">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></h3>
<code><a href="../../../org/java_websocket/framing/FramedataImpl1.html#append(org.java_websocket.framing.Framedata)">append</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#getOpcode()">getOpcode</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#getTransfereMasked()">getTransfereMasked</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#isFin()">isFin</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#setFin(boolean)">setFin</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#setOptcode(org.java_websocket.framing.Framedata.Opcode)">setOptcode</a>, <a href="../../../org/java_websocket/framing/FramedataImpl1.html#setTransferemasked(boolean)">setTransferemasked</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.html#append(org.java_websocket.framing.Framedata)">append</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getOpcode()">getOpcode</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getTransfereMasked()">getTransfereMasked</a>, <a href="../../../org/java_websocket/framing/Framedata.html#isFin()">isFin</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="emptybytebuffer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptybytebuffer</h4>
<pre>static final&nbsp;java.nio.ByteBuffer emptybytebuffer</pre>
</li>
</ul>
<a name="code">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>code</h4>
<pre>private&nbsp;int code</pre>
</li>
</ul>
<a name="reason">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reason</h4>
<pre>private&nbsp;java.lang.String reason</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CloseFrameBuilder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CloseFrameBuilder</h4>
<pre>public&nbsp;CloseFrameBuilder()</pre>
</li>
</ul>
<a name="CloseFrameBuilder(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CloseFrameBuilder</h4>
<pre>public&nbsp;CloseFrameBuilder(int&nbsp;code)
                  throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="CloseFrameBuilder(int, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CloseFrameBuilder</h4>
<pre>public&nbsp;CloseFrameBuilder(int&nbsp;code,
                 java.lang.String&nbsp;m)
                  throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setCodeAndMessage(int, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCodeAndMessage</h4>
<pre>private&nbsp;void&nbsp;setCodeAndMessage(int&nbsp;code,
                     java.lang.String&nbsp;m)
                        throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="initCloseCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initCloseCode</h4>
<pre>private&nbsp;void&nbsp;initCloseCode()
                    throws <a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></code></dd></dl>
</li>
</ul>
<a name="getCloseCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCloseCode</h4>
<pre>public&nbsp;int&nbsp;getCloseCode()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/CloseFrame.html#getCloseCode()">getCloseCode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a></code></dd>
</dl>
</li>
</ul>
<a name="initMessage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initMessage</h4>
<pre>private&nbsp;void&nbsp;initMessage()
                  throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="getMessage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMessage()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/CloseFrame.html#getMessage()">getMessage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing">CloseFrame</a></code></dd>
</dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FramedataImpl1.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></code></dd>
</dl>
</li>
</ul>
<a name="setPayload(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPayload</h4>
<pre>public&nbsp;void&nbsp;setPayload(java.nio.ByteBuffer&nbsp;payload)
                throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FrameBuilder.html#setPayload(java.nio.ByteBuffer)">setPayload</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing">FrameBuilder</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FramedataImpl1.html#setPayload(java.nio.ByteBuffer)">setPayload</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="getPayloadData()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPayloadData</h4>
<pre>public&nbsp;java.nio.ByteBuffer&nbsp;getPayloadData()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/Framedata.html#getPayloadData()">getPayloadData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/framing/FramedataImpl1.html#getPayloadData()">getPayloadData</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/framing/FramedataImpl1.html" title="class in org.java_websocket.framing">FramedataImpl1</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CloseFrameBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/framing/CloseFrame.html" title="interface in org.java_websocket.framing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/framing/FrameBuilder.html" title="interface in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/CloseFrameBuilder.html" target="_top">Frames</a></li>
<li><a href="CloseFrameBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
